-- 订单商品数量 int -> decimal
ALTER TABLE order_customer_order_item MODIFY COLUMN order_item_quantity decimal(11,2) NOT NULL DEFAULT '0.00' COMMENT '订单商品数量';

-- 销售订单项数量
ALTER TABLE erp_sale_order_items MODIFY COLUMN count decimal(11,2) NOT NULL DEFAULT '0.00' COMMENT '数量';

-- 采购订单项数量
ALTER TABLE erp_purchase_order_items MODIFY COLUMN count decimal(11,2) NOT NULL DEFAULT '0.00' COMMENT '数量';

-- 采购入库项数量
ALTER TABLE erp_purchase_in_items MODIFY COLUMN count decimal(11,2) NOT NULL DEFAULT '0.00' COMMENT '数量';

-- 来料质检清单检查数量
ALTER TABLE order_check_task_items MODIFY COLUMN check_count decimal(11,2) NOT NULL DEFAULT '0.00' COMMENT '检查数量';

-- 父表 total_count 联动修改
ALTER TABLE erp_sale_order MODIFY COLUMN total_count decimal(11,2) NOT NULL DEFAULT '0.00' COMMENT '合计数量';
ALTER TABLE erp_purchase_order MODIFY COLUMN total_count decimal(11,2) NOT NULL DEFAULT '0.00' COMMENT '合计数量';
ALTER TABLE erp_purchase_in MODIFY COLUMN total_count decimal(11,2) NOT NULL DEFAULT '0.00' COMMENT '合计数量';
